<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.415
Name: Allergie e Intolleranze PSS
Description: Allergies and adverse reactions Document (LOINC: 48765-2 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507">
   <title>Allergie e Intolleranze PSS</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]
Item: (Allergie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]"
         id="d42e1583-false-d50456e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]) &gt;= 1">(Allergie): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]) &lt;= 1">(Allergie): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]
Item: (Allergie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]"
         id="d42e1593-false-d50527e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Allergie): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Allergie): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']) &gt;= 1">(Allergie): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']) &lt;= 1">(Allergie): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:id) &lt;= 1">(Allergie): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Allergie): element hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:title) &gt;= 1">(Allergie): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:title) &lt;= 1">(Allergie): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:text) &gt;= 1">(Allergie): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:text) &lt;= 1">(Allergie): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]) &gt;= 1">(Allergie): element hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']
Item: (Allergie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']"
         id="d42e1596-false-d50616e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.2.1')">(Allergie): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.2.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:id
Item: (Allergie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:id"
         id="d42e1598-false-d50627e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="@root">(Allergie): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Allergie): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Allergie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e1603-false-d50641e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@code) = ('48765-2')">(Allergie): The value for code SHALL be '48765-2'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Allergie): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Allergie): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Allergie): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@displayName) = ('Allergie, Reazioni Avverse') or not(@displayName)">(Allergie): The value for displayName SHALL be 'Allergie, Reazioni Avverse'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Allergie): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:title
Item: (Allergie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:text
Item: (Allergie)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.415
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]
Item: (Allergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(Allergie): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.415-2024-01-09T152507.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Allergie): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
