<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.419
Name: Terapie Farmacologiche (PSS)
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603">
   <title>Terapie Farmacologiche (PSS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]
Item: (terapFarmacPregRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]"
         id="d42e1898-false-d53102e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]) &gt;= 1">(terapFarmacPregRAP): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]) &lt;= 1">(terapFarmacPregRAP): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]
Item: (terapFarmacPregRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]"
         id="d42e1910-false-d53143e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(terapFarmacPregRAP): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(terapFarmacPregRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']) &gt;= 1">(terapFarmacPregRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']) &lt;= 1">(terapFarmacPregRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:id) &lt;= 1">(terapFarmacPregRAP): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(terapFarmacPregRAP): element hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(terapFarmacPregRAP): element hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:title) &gt;= 1">(terapFarmacPregRAP): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:title) &lt;= 1">(terapFarmacPregRAP): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:text) &gt;= 1">(terapFarmacPregRAP): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:text) &lt;= 1">(terapFarmacPregRAP): element hl7:text appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]] | hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]])"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="$elmcount &gt;= 1">(terapFarmacPregRAP): choice (hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]  or  hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="$elmcount &lt;= 1">(terapFarmacPregRAP): choice (hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]  or  hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="count(hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]) &lt;= 1">(terapFarmacPregRAP): element hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']
Item: (terapFarmacPregRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']"
         id="d42e1913-false-d53250e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.2.2')">(terapFarmacPregRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.2.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:id
Item: (terapFarmacPregRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:id"
         id="d42e1915-false-d53261e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="@root">(terapFarmacPregRAP): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(terapFarmacPregRAP): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (terapFarmacPregRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e1917-false-d53275e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="string(@code) = ('10160-0')">(terapFarmacPregRAP): The value for code SHALL be '10160-0'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(terapFarmacPregRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(terapFarmacPregRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.419-2024-01-09T174603.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(terapFarmacPregRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:title
Item: (terapFarmacPregRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:text
Item: (terapFarmacPregRAP)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]
Item: (terapFarmacPregRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.419
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]
Item: (terapFarmacPregRAP)
--></pattern>
