<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.423
Name: Terapie Farmacologiche - Assenza Terapia (substanceAdministration) (PSS)
Description: Template CDA SubstanceAdministration (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755">
   <title>Terapie Farmacologiche - Assenza Terapia (substanceAdministration) (PSS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]
Item: (entryTerapRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]"
         id="d42e2281-false-d54121e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="string(@classCode) = ('SBADM') or not(@classCode)">(entryTerapRAP): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="@moodCode">(entryTerapRAP): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(entryTerapRAP): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']) &gt;= 1">(entryTerapRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']) &lt;= 1">(entryTerapRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:id) &lt;= 1">(entryTerapRAP): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:code) &lt;= 1">(entryTerapRAP): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(entryTerapRAP): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']"
         id="d42e2287-false-d54166e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.2.3')">(entryTerapRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.2.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:id
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:id"
         id="d42e2289-false-d54177e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="@root">(entryTerapRAP): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(entryTerapRAP): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:code
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:code"
         id="d42e2294-false-d54190e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="@code">(entryTerapRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.35-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(entryTerapRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.3.1937.777.63.11.35' IPSNoMedsInfo (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="@codeSystem">(entryTerapRAP): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(entryTerapRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(entryTerapRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(entryTerapRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:text[hl7:reference]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:text[hl7:reference]"
         id="d42e2306-false-d54224e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:reference) &gt;= 1">(entryTerapRAP): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="count(hl7:reference) &lt;= 1">(entryTerapRAP): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.423
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:text[hl7:reference]/hl7:reference
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:text[hl7:reference]/hl7:reference"
         id="d42e2307-false-d54240e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.423-2024-01-10T113755.html"
              test="@value">(entryTerapRAP): attribute @value SHALL be present.</assert>
   </rule>
</pattern>
