<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.424
Name: Vaccinazioni - (substanceAdministration) (PSS)
Description: Template CDA SubstanceAdministration (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315">
   <title>Vaccinazioni - (substanceAdministration) (PSS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]"
         id="d42e2310-false-d54282e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]) &gt;= 1">(entryTerapRAP): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]) &lt;= 1">(entryTerapRAP): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]"
         id="d42e2324-false-d54329e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@classCode) = ('SBADM') or not(@classCode)">(entryTerapRAP): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@moodCode">(entryTerapRAP): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(entryTerapRAP): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']) &gt;= 1">(entryTerapRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']) &lt;= 1">(entryTerapRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:id) &lt;= 1">(entryTerapRAP): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(entryTerapRAP): element hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(entryTerapRAP): element hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(entryTerapRAP): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(entryTerapRAP): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:effectiveTime[hl7:reference]) &gt;= 1">(entryTerapRAP): element hl7:effectiveTime[hl7:reference] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:effectiveTime[hl7:reference]) &lt;= 1">(entryTerapRAP): element hl7:effectiveTime[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:routeCode) &lt;= 1">(entryTerapRAP): element hl7:routeCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]) &gt;= 1">(entryTerapRAP): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]) &lt;= 1">(entryTerapRAP): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]) &gt;= 1">(entryTerapRAP): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]) &lt;= 1">(entryTerapRAP): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]) &gt;= 1">(entryTerapRAP): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]) &lt;= 1">(entryTerapRAP): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]) &lt;= 1">(entryTerapRAP): element hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &gt;= 1">(entryTerapRAP): element hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']"
         id="d42e2331-false-d54453e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.3.1')">(entryTerapRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.3.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:id
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:id"
         id="d42e2334-false-d54464e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@root">(entryTerapRAP): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(entryTerapRAP): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d42e2340-false-d54478e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@code) = ('IMMUNIZ')">(entryTerapRAP): The value for code SHALL be 'IMMUNIZ'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.5.4')">(entryTerapRAP): The value for codeSystem SHALL be '2.16.840.1.113883.5.4'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@codeSystemName) = ('ActCode') or not(@codeSystemName)">(entryTerapRAP): The value for codeSystemName SHALL be 'ActCode'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(entryTerapRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:text[hl7:reference]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:text[hl7:reference]"
         id="d42e2348-false-d54500e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:reference) &gt;= 1">(entryTerapRAP): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:reference) &lt;= 1">(entryTerapRAP): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:text[hl7:reference]/hl7:reference
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:text[hl7:reference]/hl7:reference"
         id="d42e2350-false-d54516e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@value">(entryTerapRAP): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:statusCode[@code = 'completed']
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:statusCode[@code = 'completed']"
         id="d42e2356-false-d54528e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@code) = ('completed')">(entryTerapRAP): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(entryTerapRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:effectiveTime[hl7:reference]
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:effectiveTime[hl7:reference]"
         id="d42e2363-false-d54551e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:reference) &gt;= 1">(entryTerapRAP): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="count(hl7:reference) &lt;= 1">(entryTerapRAP): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:effectiveTime[hl7:reference]/hl7:reference
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:effectiveTime[hl7:reference]/hl7:reference"
         id="d42e2368-false-d54567e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@value">(entryTerapRAP): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:routeCode
Item: (entryTerapRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:routeCode"
         id="d42e2371-false-d54578e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@code">(entryTerapRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(entryTerapRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.14581' RouteOfAdministration (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@codeSystem">(entryTerapRAP): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(entryTerapRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(entryTerapRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(entryTerapRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]
Item: (entryTerapRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]">
      <extends rule="d54628e0-false-d54632e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="@typeCode">(entryTerapRAP): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(entryTerapRAP): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1" id="d54628e0-false-d54632e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]) &gt;= 1">(dettaglioFarmaRAP): element hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]) &lt;= 1">(dettaglioFarmaRAP): element hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="string(@classCode) = ('MANU') or not(@classCode)">(dettaglioFarmaRAP): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']) &gt;= 1">(dettaglioFarmaRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']) &lt;= 1">(dettaglioFarmaRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.3.2')">(dettaglioFarmaRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.3.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="string(@classCode) = ('MMAT') or not(@classCode)">(dettaglioFarmaRAP): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="string(@determinerCode) = ('KIND') or not(@determinerCode)">(dettaglioFarmaRAP): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']) &lt;= 1">(dettaglioFarmaRAP): element hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:lotNumberText) &gt;= 1">(dettaglioFarmaRAP): element hl7:lotNumberText is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:lotNumberText) &lt;= 1">(dettaglioFarmaRAP): element hl7:lotNumberText appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="@code">(dettaglioFarmaRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(dettaglioFarmaRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.2.9.6.1.5')">(dettaglioFarmaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.2.9.6.1.5'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(dettaglioFarmaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@codeSystemVersion) or string-length(@codeSystemVersion)&gt;0">(dettaglioFarmaRAP): Attribute @codeSystemVersion SHALL be of data type 'st'  - '<value-of select="@codeSystemVersion"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(dettaglioFarmaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:translation) &lt;= 1">(dettaglioFarmaRAP): element hl7:translation appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:translation
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:translation">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="@code">(dettaglioFarmaRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(dettaglioFarmaRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="@codeSystem">(dettaglioFarmaRAP): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(dettaglioFarmaRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(dettaglioFarmaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="not(@codeSystemVersion) or string-length(@codeSystemVersion)&gt;0">(dettaglioFarmaRAP): Attribute @codeSystemVersion SHALL be of data type 'st'  - '<value-of select="@codeSystemVersion"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:originalText[hl7:reference]) &lt;= 1">(dettaglioFarmaRAP): element hl7:originalText[hl7:reference] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:translation/hl7:originalText[hl7:reference]
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:translation/hl7:originalText[hl7:reference]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:reference) &gt;= 1">(dettaglioFarmaRAP): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="count(hl7:reference) &lt;= 1">(dettaglioFarmaRAP): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:translation/hl7:originalText[hl7:reference]/hl7:reference
Item: (dettaglioFarmaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:translation/hl7:originalText[hl7:reference]/hl7:reference">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.426-2024-01-10T144841.html"
              test="@value">(dettaglioFarmaRAP): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.426
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufaturedMaterial/hl7:lotNumberText
Item: (dettaglioFarmaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]
Item: (entryTerapRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@typeCode) = ('REFR')">(entryTerapRAP): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]
Item: (entryTerapRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]">
      <extends rule="d54848e0-false-d54852e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@typeCode) = ('SUBJ')">(entryTerapRAP): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.428
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1" id="d54848e0-false-d54852e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]) &gt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]) &lt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.428
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="string(@moodCode) = ('EVN')">(CDAObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']) &gt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']) &lt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CDAObservation): element hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CDAObservation): element hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:value) &gt;= 1">(CDAObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="count(hl7:value) &lt;= 1">(CDAObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.428
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.3.4')">(CDAObservation): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.3.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.428
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="string(@code) = ('30973-2')">(CDAObservation): The value for code SHALL be '30973-2'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(CDAObservation): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.428
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="string(@code) = ('completed')">(CDAObservation): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.428
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:value
Item: (CDAObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/hl7:value">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3')">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="@value">(CDAObservation): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.428-2024-01-10T171025.html"
              test="not(@value) or string-length(@value)&gt;0">(CDAObservation): Attribute @value SHALL be of data type 'st'  - '<value-of select="@value"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]
Item: (entryTerapRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]">
      <extends rule="d55012e0-false-d55016e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.424-2024-01-10T121315.html"
              test="string(@typeCode) = ('CAUS') or not(@typeCode)">(entryTerapRAP): The value for typeCode SHALL be 'CAUS'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1" id="d55012e0-false-d55016e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(obsAllergie): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(obsAllergie): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(obsAllergie): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@moodCode) = ('EVN')">(obsAllergie): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.1']) &lt;= 1">(obsAllergie): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:id) &lt;= 1">(obsAllergie): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(obsAllergie): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(obsAllergie): element hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:statusCode) &gt;= 1">(obsAllergie): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:statusCode) &lt;= 1">(obsAllergie): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:effectiveTime[hl7:low]) &gt;= 1">(obsAllergie): element hl7:effectiveTime[hl7:low] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(obsAllergie): element hl7:effectiveTime[hl7:low] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(obsAllergie): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(obsAllergie): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.1']
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.1']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.1.5.1')">(obsAllergie): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.1.5.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:id
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:id">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(obsAllergie): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:text[hl7:reference]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:text[hl7:reference]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:reference) &gt;= 1">(obsAllergie): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:reference) &lt;= 1">(obsAllergie): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:text[hl7:reference]/hl7:reference
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:text[hl7:reference]/hl7:reference">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="@value">(obsAllergie): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@code) = ('75321-0')">(obsAllergie): The value for code SHALL be '75321-0'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(obsAllergie): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(obsAllergie): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(obsAllergie): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="string(@displayName) = ('Obiettività Clinica') or not(@displayName)">(obsAllergie): The value for displayName SHALL be 'Obiettività Clinica'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(obsAllergie): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:statusCode
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:statusCode">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(obsAllergie): The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:effectiveTime[hl7:low]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:effectiveTime[hl7:low]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:low) &gt;= 1">(obsAllergie): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:low) &lt;= 1">(obsAllergie): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:high) &lt;= 1">(obsAllergie): element hl7:high appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:effectiveTime[hl7:low]/hl7:low
Item: (obsAllergie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (obsAllergie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(obsAllergie): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.29  ReazioniIntolleranza (DYNAMIC) or 2.16.840.1.113883.3.1937.777.63.11.31 ReazioniAllergiche (DYNAMIC)'.</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(obsAllergie): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(obsAllergie): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(obsAllergie): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(obsAllergie): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(obsAllergie): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:originalText[hl7:reference]) &gt;= 1">(obsAllergie): element hl7:originalText[hl7:reference] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:originalText[hl7:reference]) &lt;= 1">(obsAllergie): element hl7:originalText[hl7:reference] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText[hl7:reference]
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText[hl7:reference]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:reference) &gt;= 1">(obsAllergie): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="count(hl7:reference) &lt;= 1">(obsAllergie): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.480
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText[hl7:reference]/hl7:reference
Item: (obsAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText[hl7:reference]/hl7:reference">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.480-2024-01-18T120929.html"
              test="@value">(obsAllergie): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.424
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (entryTerapRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(commentiAllergie): element hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(commentiAllergie): element hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="string(@classCode) = ('ACT')">(commentiAllergie): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="string(@moodCode) = ('EVN')">(commentiAllergie): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:templateId[not(@nullFlavor)]) &gt;= 1">(commentiAllergie): element hl7:templateId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:templateId[not(@nullFlavor)]) &lt;= 1">(commentiAllergie): element hl7:templateId[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(commentiAllergie): element hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(commentiAllergie): element hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(commentiAllergie): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:statusCode) &lt;= 1">(commentiAllergie): element hl7:statusCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[not(@nullFlavor)]
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[not(@nullFlavor)]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.1.7') or not(@root)">(commentiAllergie): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.1.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="string(@code) = ('48767-8')">(commentiAllergie): The value for code SHALL be '48767-8'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(commentiAllergie): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(commentiAllergie): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(commentiAllergie): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:reference) &gt;= 1">(commentiAllergie): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="count(hl7:reference) &lt;= 1">(commentiAllergie): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/hl7:reference
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/hl7:reference">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="@value">(commentiAllergie): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.433
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode
Item: (commentiAllergie)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="@code">(commentiAllergie): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.433-2024-01-12T093840.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(commentiAllergie): The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
</pattern>
