<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.438
Name: Lista dei Problemi - Riferimenti interni (act) (PSS)
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004">
   <title>Lista dei Problemi - Riferimenti interni (act) (PSS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.438
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]"
         id="d42e3050-false-d57440e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]) &gt;= 1">(allergieRAP): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]) &lt;= 1">(allergieRAP): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.438
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]"
         id="d42e3064-false-d57457e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="string(@classCode) = ('ACT')">(allergieRAP): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="@moodCode">(allergieRAP): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(allergieRAP): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']) &gt;= 1">(allergieRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']) &lt;= 1">(allergieRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:id) &gt;= 1">(allergieRAP): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:id) &lt;= 1">(allergieRAP): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:code) &gt;= 1">(allergieRAP): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="count(hl7:code) &lt;= 1">(allergieRAP): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.438
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']"
         id="d42e3077-false-d57500e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.4.3')">(allergieRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.4.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.438
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/hl7:id
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/hl7:id"
         id="d42e3079-false-d57511e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="@root">(allergieRAP): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(allergieRAP): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.438
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/hl7:code
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/hl7:code"
         id="d42e3086-false-d57524e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="@code">(allergieRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(allergieRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="@codeSystem">(allergieRAP): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(allergieRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(allergieRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(allergieRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.438-2024-01-12T173004.html"
              test="string(@nullFlavor) = ('NA') or not(@nullFlavor)">(allergieRAP): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
</pattern>
