<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.457
Name: PianidiCura - Dettagli (Procedure) (PSS)
Description: Template CDA Procedure (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251">
   <title>PianidiCura - Dettagli (Procedure) (PSS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]"
         id="d42e4272-false-d57563e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]) &gt;= 1">(ProcedureRAP): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]"
         id="d42e4284-false-d57578e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="string(@classCode) = ('PROC') or not(@classCode)">(ProcedureRAP): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@moodCode">(ProcedureRAP): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(ProcedureRAP): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']) &gt;= 1">(ProcedureRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']) &lt;= 1">(ProcedureRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:id) &gt;= 1">(ProcedureRAP): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:id) &lt;= 1">(ProcedureRAP): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:code) &gt;= 1">(ProcedureRAP): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:code) &lt;= 1">(ProcedureRAP): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:text) &lt;= 1">(ProcedureRAP): element hl7:text appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:effectiveTime | hl7:effectiveTime)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="$elmcount &gt;= 1">(ProcedureRAP): choice (hl7:effectiveTime  or  hl7:effectiveTime) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="$elmcount &lt;= 1">(ProcedureRAP): choice (hl7:effectiveTime  or  hl7:effectiveTime) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProcedureRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProcedureRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']"
         id="d42e4290-false-d57651e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.10.3')">(ProcedureRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.10.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:id
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:id"
         id="d42e4292-false-d57662e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@root">(ProcedureRAP): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ProcedureRAP): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:code
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:code"
         id="d42e4294-false-d57675e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@code">(ProcedureRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(ProcedureRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@codeSystem">(ProcedureRAP): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(ProcedureRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(ProcedureRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:text
Item: (ProcedureRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:text/hl7:reference
Item: (ProcedureRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime"
         id="d42e4318-false-d57715e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@value">(ProcedureRAP): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime"
         id="d42e4320-false-d57726e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:low) &gt;= 1">(ProcedureRAP): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:low) &lt;= 1">(ProcedureRAP): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:high) &gt;= 1">(ProcedureRAP): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="count(hl7:high) &lt;= 1">(ProcedureRAP): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime/hl7:low
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime/hl7:low"
         id="d42e4321-false-d57750e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@value">(ProcedureRAP): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.457
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime/hl7:high
Item: (ProcedureRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime/hl7:high"
         id="d42e4323-false-d57761e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.457-2024-01-16T175251.html"
              test="@value">(ProcedureRAP): attribute @value SHALL be present.</assert>
   </rule>
</pattern>
