<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.459
Name: PianiDiCura - Dettaglii (Act) (PSS)
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143">
   <title>PianiDiCura - Dettaglii (Act) (PSS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]"
         id="d42e4384-false-d57784e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]) &gt;= 1">(allergieRAP): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]"
         id="d42e4400-false-d57799e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="string(@classCode) = ('ACT') or not(@classCode)">(allergieRAP): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="@modeCode">(allergieRAP): attribute @modeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="not(@modeCode) or (string-length(@modeCode) &gt; 0 and not(matches(@modeCode,'\s')))">(allergieRAP): Attribute @modeCode SHALL be of data type 'cs'  - '<value-of select="@modeCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']) &gt;= 1">(allergieRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 '] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']) &lt;= 1">(allergieRAP): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 '] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:id) &gt;= 1">(allergieRAP): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:id) &lt;= 1">(allergieRAP): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:code) &gt;= 1">(allergieRAP): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:code) &lt;= 1">(allergieRAP): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(allergieRAP): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:effectiveTime | hl7:effectiveTime)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="$elmcount &gt;= 1">(allergieRAP): choice (hl7:effectiveTime  or  hl7:effectiveTime) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="$elmcount &lt;= 1">(allergieRAP): choice (hl7:effectiveTime  or  hl7:effectiveTime) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:effectiveTime) &lt;= 1">(allergieRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:effectiveTime) &lt;= 1">(allergieRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']"
         id="d42e4406-false-d57872e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.4.3.10.5')">(allergieRAP): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.4.3.10.5'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:id
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:id"
         id="d42e4408-false-d57884e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="@root">(allergieRAP): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(allergieRAP): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:code
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:code"
         id="d42e4410-false-d57897e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="@code">(allergieRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.47-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(allergieRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.3.1937.777.63.11.47' EncounterCode_PSSIT (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="@codeSystem">(allergieRAP): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(allergieRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(allergieRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(allergieRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:text[hl7:reference]
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:text[hl7:reference]"
         id="d42e4425-false-d57931e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:reference) &gt;= 1">(allergieRAP): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:reference) &lt;= 1">(allergieRAP): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:text[hl7:reference]/hl7:reference
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:text[hl7:reference]/hl7:reference"
         id="d42e4426-false-d57947e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="@value">(allergieRAP): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime"
         id="d42e4450-false-d57958e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="@value">(allergieRAP): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime
Item: (allergieRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime"
         id="d42e4452-false-d57969e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:low) &gt;= 1">(allergieRAP): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:low) &lt;= 1">(allergieRAP): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:high) &gt;= 1">(allergieRAP): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240412T112019/tmp-2.16.840.1.113883.3.1937.777.63.10.459-2024-01-16T183143.html"
              test="count(hl7:high) &lt;= 1">(allergieRAP): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime/hl7:low
Item: (allergieRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.459
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime/hl7:high
Item: (allergieRAP)
-->
</pattern>
